Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 715084

Summary: dev-java/openjfx-11.0.7_p0 : fails to build with -fno-common or gcc-10
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Georgy Yakovlev <gyakovlev>
Status: RESOLVED FIXED    
Severity: normal CC: java
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 705764    
Attachments: emerge-info.txt
dev-java:openjfx-11.0.7_p0:20200327-175613.log.bz2
emerge-history.txt
environment
etc.portage.tbz2

Description Toralf Förster gentoo-dev 2020-03-27 18:06:21 UTC
/usr/lib/gcc/x86_64-pc-linux-gnu/9.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: /var/tmp/portage/dev-java/openjfx-11.0.7_p0/work/rt-11.0.7+0/modules/javafx.media/build/native/linux/Release/obj/gstreamer-lite/gstreamer/gst/gstallocator.o:(.bss.GST_CAT_LOCKING+0x0): multiple definition of GST_CAT_LOCKING; /var/tmp/portage/dev-java/openjfx-11.0.7_p0/work/rt-11.0.7+0/modules/javafx.media/build/native/linux/Release/obj/gstreamer-lite/gstreamer/gst/gst.o:(.bss.GST_CAT_LOCKING+0x0): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma_systemd-20200318-121516

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.3.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.6
  [3]   python3.7 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.41.1
  [2]   rust-1.41.1 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Fri 27 Mar 2020 04:39:29 PM UTC

emerge -qpvO dev-java/openjfx
[ebuild  N    ] dev-java/openjfx-11.0.7_p0  USE="media -debug -doc -source" CPU_FLAGS_X86="sse2"
Comment 1 Toralf Förster gentoo-dev 2020-03-27 18:06:23 UTC
Created attachment 626442 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-03-27 18:06:26 UTC
Created attachment 626444 [details]
dev-java:openjfx-11.0.7_p0:20200327-175613.log.bz2
Comment 3 Toralf Förster gentoo-dev 2020-03-27 18:06:29 UTC
Created attachment 626446 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-03-27 18:06:32 UTC
Created attachment 626448 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-03-27 18:06:34 UTC
Created attachment 626450 [details]
etc.portage.tbz2
Comment 6 Craig Andrews gentoo-dev 2020-08-05 20:54:06 UTC
he bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3613d5eee1cdaa0c8465a924818bb1348d39918

commit a3613d5eee1cdaa0c8465a924818bb1348d39918
Author:     Georgy Yakovlev <gyakovlev@gentoo.org>
AuthorDate: 2020-04-29 21:00:40 +0000
Commit:     Georgy Yakovlev <gyakovlev@gentoo.org>
CommitDate: 2020-04-29 21:05:01 +0000

    dev-java/openjfx: fix build with uncommon TERM, add -fcommon
    
    Closes: https://bugs.gentoo.org/719606
    Closes: https://bugs.gentoo.org/719958
    Closes: https://bugs.gentoo.org/688894
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>

 dev-java/openjfx/openjfx-11.0.7_p1.ebuild | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)